<!DOCTYPE html>
<html class="writer-html5" lang="en">
<head>
  <meta charset="utf-8" />
  <meta name="viewport" content="width=device-width, initial-scale=1.0" />
  <title>nl2declare.constructs.text_model &mdash; NL2Declare  documentation</title>
      <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
      <link rel="stylesheet" type="text/css" href="../../../_static/css/theme.css" />

  
  <!--[if lt IE 9]>
    <script src="../../../_static/js/html5shiv.min.js"></script>
  <![endif]-->
  
        <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
        <script src="../../../_static/jquery.js"></script>
        <script src="../../../_static/underscore.js"></script>
        <script src="../../../_static/_sphinx_javascript_frameworks_compat.js"></script>
        <script src="../../../_static/doctools.js"></script>
    <script src="../../../_static/js/theme.js"></script>
    <link rel="index" title="Index" href="../../../genindex.html" />
    <link rel="search" title="Search" href="../../../search.html" /> 
</head>

<body class="wy-body-for-nav"> 
  <div class="wy-grid-for-nav">
    <nav data-toggle="wy-nav-shift" class="wy-nav-side">
      <div class="wy-side-scroll">
        <div class="wy-side-nav-search" >

          
          
          <a href="../../../index.html" class="icon icon-home">
            NL2Declare
          </a>
<div role="search">
  <form id="rtd-search-form" class="wy-form" action="../../../search.html" method="get">
    <input type="text" name="q" placeholder="Search docs" aria-label="Search docs" />
    <input type="hidden" name="check_keywords" value="yes" />
    <input type="hidden" name="area" value="default" />
  </form>
</div>
        </div><div class="wy-menu wy-menu-vertical" data-spy="affix" role="navigation" aria-label="Navigation menu">
              <p class="caption" role="heading"><span class="caption-text">Contents:</span></p>
<ul>
<li class="toctree-l1"><a class="reference internal" href="../../../modules.html">nl2declare</a></li>
</ul>

        </div>
      </div>
    </nav>

    <section data-toggle="wy-nav-shift" class="wy-nav-content-wrap"><nav class="wy-nav-top" aria-label="Mobile navigation menu" >
          <i data-toggle="wy-nav-top" class="fa fa-bars"></i>
          <a href="../../../index.html">NL2Declare</a>
      </nav>

      <div class="wy-nav-content">
        <div class="rst-content">
          <div role="navigation" aria-label="Page navigation">
  <ul class="wy-breadcrumbs">
      <li><a href="../../../index.html" class="icon icon-home" aria-label="Home"></a></li>
          <li class="breadcrumb-item"><a href="../../index.html">Module code</a></li>
          <li class="breadcrumb-item"><a href="../../nl2declare.html">nl2declare</a></li>
      <li class="breadcrumb-item active">nl2declare.constructs.text_model</li>
      <li class="wy-breadcrumbs-aside">
      </li>
  </ul>
  <hr/>
</div>
          <div role="main" class="document" itemscope="itemscope" itemtype="http://schema.org/Article">
           <div itemprop="articleBody">
             
  <h1>Source code for nl2declare.constructs.text_model</h1><div class="highlight"><pre>
<div class="viewcode-block" id="TextModel"><a class="viewcode-back" href="../../../nl2declare.constructs.html#nl2declare.constructs.text_model.TextModel">[docs]</a><span></span><span class="k">class</span> <span class="nc">TextModel</span><span class="p">:</span>
    <span class="k">def</span> <span class="fm">__init__</span><span class="p">(</span><span class="bp">self</span><span class="p">,</span> <span class="n">text</span><span class="p">):</span>
        <span class="bp">self</span><span class="o">.</span><span class="n">text</span> <span class="o">=</span> <span class="n">text</span>
        <span class="bp">self</span><span class="o">.</span><span class="n">noun_phrases</span> <span class="o">=</span> <span class="p">[]</span>
        <span class="bp">self</span><span class="o">.</span><span class="n">actions</span> <span class="o">=</span> <span class="p">[]</span>
        <span class="bp">self</span><span class="o">.</span><span class="n">interrelations</span> <span class="o">=</span> <span class="p">[]</span>
        <span class="bp">self</span><span class="o">.</span><span class="n">actions_map</span> <span class="o">=</span> <span class="p">{}</span>

<div class="viewcode-block" id="TextModel.add_action"><a class="viewcode-back" href="../../../nl2declare.constructs.html#nl2declare.constructs.text_model.TextModel.add_action">[docs]</a>    <span class="k">def</span> <span class="nf">add_action</span><span class="p">(</span><span class="bp">self</span><span class="p">,</span> <span class="n">a</span><span class="p">):</span>
        <span class="bp">self</span><span class="o">.</span><span class="n">actions</span><span class="o">.</span><span class="n">append</span><span class="p">(</span><span class="n">a</span><span class="p">)</span>
        <span class="bp">self</span><span class="o">.</span><span class="n">actions_map</span><span class="p">[</span><span class="n">a</span><span class="o">.</span><span class="n">verb_id</span><span class="p">]</span> <span class="o">=</span> <span class="n">a</span></div>

<div class="viewcode-block" id="TextModel.add_action_id"><a class="viewcode-back" href="../../../nl2declare.constructs.html#nl2declare.constructs.text_model.TextModel.add_action_id">[docs]</a>    <span class="k">def</span> <span class="nf">add_action_id</span><span class="p">(</span><span class="bp">self</span><span class="p">,</span> <span class="n">a</span><span class="p">,</span> <span class="n">index</span><span class="p">):</span>
        <span class="bp">self</span><span class="o">.</span><span class="n">actions_map</span><span class="p">[</span><span class="n">index</span><span class="p">]</span> <span class="o">=</span> <span class="n">a</span></div>
    
<div class="viewcode-block" id="TextModel.get_action_by_verb_id"><a class="viewcode-back" href="../../../nl2declare.constructs.html#nl2declare.constructs.text_model.TextModel.get_action_by_verb_id">[docs]</a>    <span class="k">def</span> <span class="nf">get_action_by_verb_id</span><span class="p">(</span><span class="bp">self</span><span class="p">,</span> <span class="n">index</span><span class="p">):</span>
        <span class="k">return</span> <span class="bp">self</span><span class="o">.</span><span class="n">actions_map</span><span class="o">.</span><span class="n">get</span><span class="p">(</span><span class="n">index</span><span class="p">)</span></div>

<div class="viewcode-block" id="TextModel.get_noun_phrase_by_index"><a class="viewcode-back" href="../../../nl2declare.constructs.html#nl2declare.constructs.text_model.TextModel.get_noun_phrase_by_index">[docs]</a>    <span class="k">def</span> <span class="nf">get_noun_phrase_by_index</span><span class="p">(</span><span class="bp">self</span><span class="p">,</span> <span class="n">index</span><span class="p">):</span>
        <span class="k">for</span> <span class="n">np</span> <span class="ow">in</span> <span class="bp">self</span><span class="o">.</span><span class="n">noun_phrases</span><span class="p">:</span>
            <span class="k">if</span> <span class="n">np</span><span class="o">.</span><span class="n">in_span</span><span class="p">(</span><span class="n">index</span><span class="p">):</span>
                <span class="k">return</span> <span class="n">np</span>
        <span class="k">return</span> <span class="kc">None</span></div>

<div class="viewcode-block" id="TextModel.add_interrelation"><a class="viewcode-back" href="../../../nl2declare.constructs.html#nl2declare.constructs.text_model.TextModel.add_interrelation">[docs]</a>    <span class="k">def</span> <span class="nf">add_interrelation</span><span class="p">(</span><span class="bp">self</span><span class="p">,</span> <span class="n">rel</span><span class="p">):</span>
        <span class="bp">self</span><span class="o">.</span><span class="n">interrelations</span><span class="o">.</span><span class="n">append</span><span class="p">(</span><span class="n">rel</span><span class="p">)</span></div>

<div class="viewcode-block" id="TextModel.preceeding_actions"><a class="viewcode-back" href="../../../nl2declare.constructs.html#nl2declare.constructs.text_model.TextModel.preceeding_actions">[docs]</a>    <span class="k">def</span> <span class="nf">preceeding_actions</span><span class="p">(</span><span class="bp">self</span><span class="p">,</span> <span class="n">a</span><span class="p">):</span>
        <span class="k">return</span> <span class="bp">self</span><span class="o">.</span><span class="n">actions</span><span class="p">[:</span><span class="bp">self</span><span class="o">.</span><span class="n">actions</span><span class="o">.</span><span class="n">index</span><span class="p">(</span><span class="n">a</span><span class="p">)]</span></div>

<div class="viewcode-block" id="TextModel.succeeding_actions"><a class="viewcode-back" href="../../../nl2declare.constructs.html#nl2declare.constructs.text_model.TextModel.succeeding_actions">[docs]</a>    <span class="k">def</span> <span class="nf">succeeding_actions</span><span class="p">(</span><span class="bp">self</span><span class="p">,</span> <span class="n">a</span><span class="p">):</span>
        <span class="k">return</span> <span class="bp">self</span><span class="o">.</span><span class="n">actions</span><span class="p">[</span><span class="bp">self</span><span class="o">.</span><span class="n">actions</span><span class="o">.</span><span class="n">index</span><span class="p">(</span><span class="n">a</span><span class="p">)</span> <span class="o">+</span> <span class="mi">1</span><span class="p">:]</span></div>

<div class="viewcode-block" id="TextModel.contains_interrelation"><a class="viewcode-back" href="../../../nl2declare.constructs.html#nl2declare.constructs.text_model.TextModel.contains_interrelation">[docs]</a>    <span class="k">def</span> <span class="nf">contains_interrelation</span><span class="p">(</span><span class="bp">self</span><span class="p">,</span> <span class="n">rel</span><span class="p">):</span>
        <span class="k">return</span> <span class="n">rel</span> <span class="ow">in</span> <span class="bp">self</span><span class="o">.</span><span class="n">interrelations</span></div>
    
<div class="viewcode-block" id="TextModel.no_of_flow_actions"><a class="viewcode-back" href="../../../nl2declare.constructs.html#nl2declare.constructs.text_model.TextModel.no_of_flow_actions">[docs]</a>    <span class="k">def</span> <span class="nf">no_of_flow_actions</span><span class="p">(</span><span class="bp">self</span><span class="p">):</span>
        <span class="n">counter</span> <span class="o">=</span> <span class="mi">0</span>
        <span class="k">for</span> <span class="n">action</span> <span class="ow">in</span> <span class="bp">self</span><span class="o">.</span><span class="n">actions</span><span class="p">:</span>
            <span class="k">if</span><span class="p">(</span><span class="n">action</span><span class="o">.</span><span class="n">is_flow_action</span><span class="p">):</span>
                <span class="n">counter</span> <span class="o">=</span> <span class="n">counter</span> <span class="o">+</span> <span class="mi">1</span>
        <span class="k">return</span> <span class="n">counter</span></div></div>
            
</pre></div>

           </div>
          </div>
          <footer>

  <hr/>

  <div role="contentinfo">
    <p>&#169; Copyright 2024, Pia Halkour, Marc Ludevid Wulf, Julian Kofferath.</p>
  </div>

  Built with <a href="https://www.sphinx-doc.org/">Sphinx</a> using a
    <a href="https://github.com/readthedocs/sphinx_rtd_theme">theme</a>
    provided by <a href="https://readthedocs.org">Read the Docs</a>.
   

</footer>
        </div>
      </div>
    </section>
  </div>
  <script>
      jQuery(function () {
          SphinxRtdTheme.Navigation.enable(true);
      });
  </script> 

</body>
</html>